Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.service
Class AbstractGisQuery

    java.lang.Object
      com.gisgraphy.domain.geoloc.service.AbstractGisQuery

Direct Known Subclasses:
  FulltextQuery, GeolocQuery

    public abstract class AbstractGisQuery

extends java.lang.Object

An abstract query for all GisQuery. define `Output`, `Pagination`, and a placetype

Author:
  David Masclet

Field Summary
`protected Output` | `output`
`protected Pagination` | `pagination`

Constructor Summary
`AbstractGisQuery()` Constructor with default Pagination, Output, and placetype
`AbstractGisQuery(Pagination pagination, Output output)`

Method Summary
`int` | `getFirstPaginationIndex()`
`int` | `getLastPaginationIndex()`
`int` | `getMaxNumberOfResults()`
`Output` | `getOutput()`
`Output.OutputFormat` | `getOutputFormat()`
`java.lang.String` | `getOutputLanguage()`
`Output.OutputStyle` | `getOutputStyle()`
`Pagination` | `getPagination()`
`java.lang.String` | `toString()`
`AbstractGisQuery` | `withOutput(Output output)`
`AbstractGisQuery` | `withPagination(Pagination pagination)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pagination

    protected Pagination pagination

See Also:
  `Pagination`

### output

    protected Output output

See Also:
  `Output`

Constructor Detail

### AbstractGisQuery

    public AbstractGisQuery(Pagination pagination,
                            Output output)

Parameters:
  `pagination` - The Pagination specification, if null : use default
  `output` - Output The output specification , if null : use default

### AbstractGisQuery

    public AbstractGisQuery()

  Constructor with default Pagination, Output, and placetype

Method Detail

### getPagination

    public Pagination getPagination()

  Returns:
    the `Pagination` Object

### withPagination

    public AbstractGisQuery withPagination(Pagination pagination)

  Parameters:
    `pagination` - the pagination to set. If the pagination is null the `Pagination.DEFAULT_PAGINATION` is used
  Returns:
    The current query to chain methods
  See Also:
    `Pagination`

### getOutput

    public Output getOutput()

  Returns:
    The

### withOutput

    public AbstractGisQuery withOutput(Output output)

  Parameters:
    `output` - The `Output` Object to set. If the output is null : the `Output.DEFAULT_OUTPUT` is used

### getOutputStyle

    public Output.OutputStyle getOutputStyle()

  Returns:
    The verbose style mode
  See Also:
    `Output.OutputStyle`

### getFirstPaginationIndex

    public int getFirstPaginationIndex()

  Returns:
    The 'from' pagination value
  See Also:
    `Pagination`

### getLastPaginationIndex

    public int getLastPaginationIndex()

  Returns:
    The 'to' pagination value
  See Also:
    `Pagination`

### getMaxNumberOfResults

    public int getMaxNumberOfResults()

  Returns:
    The number of results that the query is limited
  See Also:
    `Pagination`

### getOutputFormat

    public Output.OutputFormat getOutputFormat()

  Returns:
    The output format
  See Also:
    `Output.OutputFormat`

### getOutputLanguage

    public java.lang.String getOutputLanguage()

  Returns:
    The iso639 Alpha2 LanguageCode that the output results should be

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.